Double draw of layer when selecting and deselecting legend layer items

2010-08-22 04:41 PM - Jeremy Palmer

Status: Closed

Priority: Low

Assignee: sunilkcube -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 13022

Description

On [[WinXP]] SP3 using QGIS 1.5.0 I get two refreshes of the mapcanvas when selecting and deselecting layers.

On line 1541 of qgslegend.cpp there is a call to render the mapcanvas. However there is also a call to updateMapCanvasLayerSet() on

line 1549. Should call to mMapCanvas->setRenderFlag( true ) on line 1541 be removed to stop refreshing the canvas twice?

History

#1 - 2011-04-18 11:37 PM - sunilkcube -

- Status changed from Open to In Progress

#2 - 2011-04-20 04:43 AM - sunilkcube -

Hi Everyone,

Can anyone give suggestions  ? The bug says layer is drawn twice. But the layer is drawn twice in the mapcanvas only when the overview panel is

enabled, if the overview panel is disabled then enabling a layer will draw the layer in mapcanvas only once. So is this a bug really ?

#3 - 2011-04-20 03:09 PM - Jeremy Palmer

Maybe the issue has been fix in trunk? I definitely didn't have the overview panel enabled when I was doing testing with 1.5.

#4 - 2011-04-25 10:00 PM - sunilkcube -

- Resolution set to invalid

- Status changed from In Progress to Closed

#5 - 2011-04-25 10:01 PM - sunilkcube -

- Status changed from Closed to Feedback

- Resolution deleted (invalid)

#6 - 2011-04-25 10:01 PM - sunilkcube -

- Status changed from Feedback to Closed

- Resolution set to worksforme

2024-04-09 1/1


